## org.biojava.bio.dp
Class DP.ReverseIterator

    java.lang.Object
      org.biojava.bio.dp.DP.ReverseIterator

All Implemented Interfaces:
  Serializable, Iterator

Enclosing class:
  DP

    public static class DP.ReverseIterator

extends Object
implements Iterator, Serializable

See Also:
  Serialized Form

Constructor Summary
`DP.ReverseIterator(SymbolList sym)`

Method Summary
`boolean` `hasNext()`
`Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DP.ReverseIterator

    public DP.ReverseIterator(SymbolList sym)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()
                throws UnsupportedOperationException

  Specified by:
    `remove` in interface `Iterator`
  Throws:
    `UnsupportedOperationException`